MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030395Community[OCCT] OCCT:Modeling Algorithmspublic2018-12-05 12:162018-12-15 20:28
ReporterMatthias 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformWindowsOSVC++ 2015OS Version64 bit
Product Version[OCCT] 7.3.0 
Target VersionFixed in Version 
Summary0030395: DRAW bop: Some sub-shapes of some of the argument become connected through other shapes and the argument became self-interfered.
DescriptionIn this specific example the boolean operation returns an empty compound.

With "bdrawwarnshapes 1" the critical shape "ws_1_1" is returned after "bop". It is a compound containing two edges (red in the given picture).

It is unclear why there is a critical shape in this example and why bopcommon returns no result.
Steps To ReproduceDRAW script:

bdrawwarnshapes 1
restore s1.brep s1
restore fds.brep fds
bop s1 fds
bopcommon r
TagsNo tags attached.
Test case numberbugs modalg_7 bug30395
Attached Filespng file icon pic.png (144,261 bytes) 2018-12-05 12:16
? file icon s1.brep (52,166 bytes) 2018-12-05 12:17
? file icon fds.brep (237,692 bytes) 2018-12-05 12:17

- Relationships

-  Notes
(0081387)
emv (developer)
2018-12-05 12:39

Dear Matthias,

Could you please check if the problem is reproduced in the current master? I am unable to reproduce it there. But I confirm that the problem is reproduced in OCCT 7.3.0.
(0081465)
Matthias (developer)
2018-12-11 15:00

I'm unable to reproduce it in the current master, too. It seems to be okay there.
(0081467)
emv (developer)
2018-12-11 15:28

Dear bugmaster, could you please add the test case and close the issue?
(0081469)
msv (developer)
2018-12-11 16:20

After test preparation, please pass to EMV for review.
(0081471)
git (administrator)
2018-12-11 18:24

Branch CR30395 has been created by apn.

SHA-1: b00586e9a65e1f09d11f4043e4c7f6e2990d6cb6


Detailed log of new commits:

Author: apn
Date: Tue Dec 11 18:21:20 2018 +0300

    0030395: DRAW bop: Some sub-shapes of some of the argument become connected through other shapes and the argument became self-interfered.
    
    Test case bugs/modalg_7/bug30395 was added
(0081472)
apn (administrator)
2018-12-11 18:24

Dear emv, could you please review test case in CR30395.
(0081474)
emv (developer)
2018-12-12 07:47

- Please add check for the number of shapes in the result. Don't need to check for the number of vertices and edges, as their number may change from fix to fix, but check for the number of wires, faces, shells and solids.
- Please add also the check for the volume property of the result.
- It will also be good to perform all other boolean operations (fuse and two cuts) directly in this case, to avoid missing regressions in other operations on these shapes. The same checks will be required for the results of these operations. But displaying only the result of Common is enough here, no need to display other results.
(0081475)
git (administrator)
2018-12-12 08:10

Branch CR30395 has been updated forcibly by emv.

SHA-1: 15fb5ed9f3a1f9927d80644ff190c7fbe56c9555
(0081476)
emv (developer)
2018-12-12 08:12

I've edited the test case myself, so please check and integrate.

- Related Changesets
occt: master d4db985b
Timestamp: 2018-12-12 05:07:29
Author: emv
Committer: apn
Details ] Diff ]
0030395: DRAW bop: Some sub-shapes of some of the argument become connected through other shapes and the argument became self-interfered.

Integrating only test case for the issue as it is not reproduced any more.
add - tests/bugs/modalg_7/bug30395 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-12-05 12:16 Matthias New Issue
2018-12-05 12:16 Matthias Assigned To => msv
2018-12-05 12:16 Matthias File Added: pic.png
2018-12-05 12:17 Matthias File Added: s1.brep
2018-12-05 12:17 Matthias File Added: fds.brep
2018-12-05 12:39 emv Note Added: 0081387
2018-12-05 12:41 emv Assigned To msv => Matthias
2018-12-05 12:41 emv Status new => feedback
2018-12-11 15:00 Matthias Note Added: 0081465
2018-12-11 15:00 Matthias Assigned To Matthias => emv
2018-12-11 15:28 emv Assigned To emv => bugmaster
2018-12-11 15:28 emv Note Added: 0081467
2018-12-11 16:20 msv Note Added: 0081469
2018-12-11 18:24 git Note Added: 0081471
2018-12-11 18:24 apn Test case number => bugs modalg_7 bug30395
2018-12-11 18:24 apn Note Added: 0081472
2018-12-11 18:24 apn Assigned To bugmaster => emv
2018-12-12 07:47 emv Note Added: 0081474
2018-12-12 07:47 emv Assigned To emv => apn
2018-12-12 07:47 emv Status feedback => assigned
2018-12-12 08:10 git Note Added: 0081475
2018-12-12 08:12 emv Note Added: 0081476
2018-12-12 08:12 emv Status assigned => resolved
2018-12-12 11:53 apn Assigned To apn => bugmaster
2018-12-12 11:53 apn Status resolved => reviewed
2018-12-12 11:53 apn Status reviewed => tested
2018-12-15 20:28 apn Changeset attached => occt master d4db985b
2018-12-15 20:28 apn Assigned To bugmaster => apn
2018-12-15 20:28 apn Status tested => verified
2018-12-15 20:28 apn Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker